<?php

namespace catchAdmin\worklocation\model;

use catcher\base\CatchModel as Model;
use catchAdmin\permissions\model\DataRangScopeTrait;
use think\facade\Db;

class Worklocation extends Model
{

    use DataRangScopeTrait;
    // 表名
    public $name = 'worklocation';
    // 数据库字段映射
    public $field = array(
        'id',
        // 风场编号
        'wind_id',
        // 风机编号
        'fan_id',
        // 工作位置
        'work_local',
        // 所属部件
        'parts',
        // 螺栓样式
        'bolt_style',
        // 螺栓型号
        'boit_type',
        // 编号
        'number',
        // 备注说明
        'info',
        // 创建人ID
        'creator_id',
        // 创建时间
        'created_at',
        // 更新时间
        'updated_at',
        // 软删除
        'deleted_at',
        // 扭矩
        'torque',
        // 压力
        'pressure',
        // 外径
        'external_diameter',
    );
     public function getList()
    {
            return $this->dataRange()
            ->catchSearch()
            ->append(['wind_name','fan_number','parts_name','bolt_style_name','boit_type_name'])
            ->field('*')
            ->catchOrder()
            ->creator()
            ->paginate();
    }
    /**
     * 获取风场名称
     *
     * @return void
     */
    public function getWindNameAttr()
    {
        $wind_id = $this->wind_id;
        $wind_name =  Db::name('wind')->where('id',$wind_id)->value('name');
        return $wind_name;

    }
   
    /**
     * 获取风机机位号
     * @return void
     */
    public function getFanNumberAttr()
    {
        $fan_id = $this->fan_id;
        $fan_number =  Db::name('fan')->where('id',$fan_id)->value('number');
        return $fan_number;
    }
    /**
     * 获取部件名称
     *
     * @return void
     */
    public function getPartsName()
    {
        $parts = $this->parts;
        

    }


    

        
}

